FormatSchema (Jackson-core 2.1.1 API)
Date: 2012-11-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.core
Interface FormatSchema

    public interface FormatSchema

Simple tag interface used to mark schema objects that are used by some `JsonParser` and `JsonGenerator` implementations to further specify structure of expected format. Basic JSON-based parsers and generators do not use schemas, but some data formats (like many binary data formats like Thrift, protobuf) mandate use of schemas.

Since there is little commonality between schemas for different data formats, this interface does not define much meaningful functionality for accessing schema details; rather, specific parser and generator implementations need to cast to schema implementations they use. This marker interface is mostly used for tagging "some kind of schema" -- instead of passing opaque `Object` -- for documentation purposes.

Method Summary
`String` | `getSchemaType()` Method that can be used to get an identifier that can be used for diagnostics purposes, to indicate what kind of data format this schema is used for: typically it is a short name of format itself, but it can also contain additional information in cases where data format supports multiple types of schemas.

Method Detail

### getSchemaType

    String getSchemaType()

  Method that can be used to get an identifier that can be used for diagnostics purposes, to indicate what kind of data format this schema is used for: typically it is a short name of format itself, but it can also contain additional information in cases where data format supports multiple types of schemas.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.